Subject: Re: chairs' message on opt-in

From: Paul Vixie <[email-masked]>
Date: Wed, 07 May 2003 19:15:12 +0000

erik, you wrote, in a reply to sam:

> At what point in time do you think we can declare that the process has
> concluded?

when deployment begins.  note that as a significant provider of dnssec
technology, isc is waiting to hear from some significant potential consumers
of dnssec technology, as to whether they're willing to deploy without opt-in.
there'd be no use in our shipping technology that folks wouldn't be using.

(isc's opt-in position has been neutral except as it relates to deployment.)

> AFAIK there isn't a time limit for when an appeal can be filed, and
> there isn't anything that prevents a WG from changing a previous
> decision any time it wants to.

after deployment begins, any appeal will be rendered moot, and this would
be just as true had consensus been determinable in favour of opt-in.

paul

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Paul Vixie <[email-masked]>
Date: Mon, 12 May 2003 17:19:10 +0000

> RFC 2782 says
>    Currently, the translation from service name to port number happens
>    at the client, often using a file such as /etc/services.
> 
> I've been assuming that "service name" was the same as "keyword" in
> http://www.iana.org/assignments/port-numbers
> but the keywords are not unique within the registry.
> 
> Somebody else found
> http://www.iana.org/assignments/service-names
> which has unique service names.
> 
> What is the correct answer?

the authors of that rfc didn't know there was a difference.  certainly the
WKS RR is not used any more, and the second url points to a list which is
very short and out of date.

i think the first url referenced above is a better choice in the modern era.
but, for the record, there was no intent one way or the other at the time
this experimental rfc was submitted.